Bug 503013 - Review Request: gnaughty - Downloader for adult content
Review Request: gnaughty - Downloader for adult content
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 06:11 EDT by Simon
Modified: 2010-09-02 10:10 EDT (History)
12 users (show)

See Also:
Fixed In Version: 1.2.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-15 06:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pahan: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-05-28 06:11:45 EDT
Spec URL:
http://cassmodiah.fedorapeople.org/gnaughty-1.2.0/gnaughty.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/gnaughty-1.2.0/gnaughty-1.2.0-1.fc11.src.rpm

Description:
Application to download automatically adult sex content, i.e. porn movies and 
pictures, from a known internet porn directory.

Features:
 * No spyware, no adware
 * Free software, provided under the GPL license
 * Wide variaty of porn categories
 * Fast parallel downloads
 * Proxy support
 * Many more...


RPMLINT:
gnaughty.i586: W: non-conffile-in-etc /etc/gconf/schemas/gnaughty.schemas
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Lubomir Rintel 2009-05-28 06:59:31 EDT
The description seems bad to me:

 * No spyware, no adware
Since when is this a feature?

 * Free software, provided under the GPL license
Redundant to the License field

 * Many more...
Does not look like a feature either :)

The description should preferably not be a formatted text, it won't look good in a GUI frontend. Please try to replace the list with paragraph of sentences.
Comment 2 Simon 2009-05-28 07:49:01 EDT
I know the featurelist is bad.

the list shows what I expect of a application in fedora. the description itself looks very short to me, but I'm sure there are packages with shorter descriptions.

I will remove the list!
Comment 3 Christoph Wickert 2009-05-28 08:34:11 EDT
I think you should also remove the word "porn" from the summary. This is "adult content".

Are you sure, you want to maintain this piece of software? I'm afraid you'll get lots of bugs reports for broken ULRs, mabye even people kidding and filing RFEs for "hands-free support".
Comment 4 Simon 2009-05-28 09:03:47 EDT
In reply to comment #3)
> I think you should also remove the word "porn" from the summary. This is "adult
> content".
K, and in desktopfile of course, too...

> Are you sure, you want to maintain this piece of software? 
Not really, but If this will raise to an overchallenge i will give it away..
I'm sure it finds a new maintainer in 15min or less. :-p
Comment 5 Tom "spot" Callaway 2009-05-28 09:08:09 EDT
I'm assuming that this is legally blocked because it is solely designed to download internet pornography, not because it includes any in the package, correct?
Comment 6 Simon 2009-05-28 09:59:50 EDT
correct
Comment 7 Stefan Posdzich 2009-05-28 10:11:26 EDT
If you really want to maintain this software, seriously, and fix the description "problems"...then i will give you that review. :)

-> Blocks: FE-Legal <- *sigh* :) ...you know.
Comment 8 Lubomir Rintel 2009-05-28 10:30:29 EDT
I volunteer to conduct some functional testing then :)
Comment 9 Ronny Fischer 2009-05-28 17:44:58 EDT
I think this package shouldn't make it into Fedora. Not because it's an application only for adults but because of legal things.

If the package gets into the official fedora repo, the distro will get some problems to be distributed with linux magazines. It would be no more just informational software since it would be easily possible for underaged users to get adult contents from the web. Besides that it isn't guaranteed that every content downloaded is from legal sources.
Comment 10 Simon 2009-05-28 17:57:55 EDT
i added a FE-LEGAL blocker...
The legal-team knows best!

We will see... and if it's a no-go so there is still rpmfusion :-)
Comment 11 Christoph Wickert 2009-05-28 20:24:30 EDT
(In reply to comment #4)
> In reply to comment #3)
> >  This is "adult content".
> K, and in desktopfile of course, too...

Of course, because nether "p0rn" nor "adult content" are categories in freedesktop specs, see
http://standards.freedesktop.org/menu-spec/latest/apa.html
Comment 12 Ronny Fischer 2009-05-29 04:42:11 EDT
(In reply to comment #11)
> (In reply to comment #4)
> > In reply to comment #3)
> > >  This is "adult content".
> > K, and in desktopfile of course, too...
> 
> Of course, because nether "p0rn" nor "adult content" are categories in
> freedesktop specs, see
> http://standards.freedesktop.org/menu-spec/latest/apa.html  

That is just a minor problem since it fits into categories like network application or file transfer application.
Comment 13 Lubomir Rintel 2009-05-29 08:51:37 EDT
(In reply to comment #9)
> ... since it would be easily possible for underaged users to
> get adult contents from the web. Besides that it isn't guaranteed that every
> content downloaded is from legal sources.  

The same thing applies for Firefox.
Comment 14 Ronny Fischer 2009-05-29 10:39:29 EDT
(In reply to comment #13)
> (In reply to comment #9)
> > ... since it would be easily possible for underaged users to
> > get adult contents from the web. Besides that it isn't guaranteed that every
> > content downloaded is from legal sources.  
> 
> The same thing applies for Firefox.  

That applies to most network transfer applications but neither firefox nor a ftp client or a bittorrent client is directly intended to download adult content.
Comment 15 Jason Tibbitts 2009-06-05 16:57:22 EDT
Please set the fedora-review flag to '?' if you're reviewing this.
Comment 16 Stefan Posdzich 2009-06-06 06:57:09 EDT
Sorry i can't do this review anymore.

1) Blocks: FE-Legal
2) put_a_personal_reason_in
Comment 17 Simon 2009-06-11 15:32:58 EDT
Tom, is there a decision of FE-LEGAL?
Comment 18 Toshio Kuratomi 2009-06-21 14:21:31 EDT
Spot's been on vacation for much of June.  I believe that he's not on vacation anymore but he is still traveling -- FUDCon and LinuxTAG.  My recommendation is that you either finish this review so everything but FE-LEGAL is fixed since you'll have to wait until he gets back from there before he can speak to the legal department about this.
Comment 19 Peter Backes 2009-06-24 15:48:57 EDT
Simon, how about generalizing this application into something like a general purpose download program? The present porn specific functionality could be implemented as a appropriate configuration file that contains the URL and whatever else. This configuration file could be kept and maintainted separately and it wouldn't be necessary to include it. Perhaps that way you could bypass the problem.
Comment 20 Toshio Ernie Kuratomi 2009-07-06 17:45:56 EDT
Just to clarify legal status, this is waiting first on the board to clarify whether Fedora wants to disallow software that is specifically for downloading porn.  If no ban is put in effect, spot will look into the legal aspects.
Comment 21 Tom "spot" Callaway 2009-07-09 13:37:08 EDT
I am lifting the FE-Legal hold, as the Fedora Board has determined there is no reason to keep this out of the Fedora package repository. However, the Board does assert that this software should not be included in any official Fedora spin.

Lifting FE-Legal.
Comment 23 Pavel Alexeev 2009-07-24 11:03:53 EDT
I'll review it.
Comment 24 Jason Tibbitts 2009-07-31 23:30:55 EDT
Setting the fedora-review flag as that seems to have been overlooked.
Comment 25 Pavel Alexeev 2009-08-01 02:35:27 EDT
Awesome! Thank you, Jason Tibbitts.
Comment 26 Pavel Alexeev 2009-08-06 17:38:18 EDT
Oh, sorry for delay.

template:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#Things_To_Check_On_Review

MUST: rpmlint must be run on every package. The output should be posted in the review.
gnaughty.i686: W: non-conffile-in-etc /etc/gconf/schemas/gnaughty.schemas
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

MUST: The package must be named according to the Package Naming Guidelines.
OK.

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK.

MUST: The package must meet the Packaging Guidelines.
OK.

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
OK.

MUST: The License field in the package spec file must match the actual license.
OK.
(Most of sources under GPLv2, but there progress-cell-renderer.c which is GPLv2 only)

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK.

MUST: The spec file must be written in American English.
OK.

MUST: The spec file for the package MUST be legible.
OK.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ md5sum gnaughty-1.2.0.tar.gz gnaughty-1.2.0_downloaded.tar.gz
c4ba9b800af39c98dfe927788d42cd9b  gnaughty-1.2.0.tar.gz
c4ba9b800af39c98dfe927788d42cd9b  gnaughty-1.2.0_downloaded.tar.gz
OK.

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1580797
OK.

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
N/A

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK.

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK.

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK.


MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
OK.

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK.

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK.

MUST: Each package must consistently use macros.
OK.

MUST: The package must contain code, or permissable content.
OK.

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
N/A

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK.

MUST: Header files must be in a -devel package.
N/A

MUST: Static libraries must be in a -static package.
N/A

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
N/A

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
OK.

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. OK.

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK.

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK.

MUST: All filenames in rpm packages must be valid UTF-8. [26]
OK.


SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
License text present and included in package.

SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
N/A

SHOULD: The reviewer should test that the package builds in mock.
OK.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1580797

SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1580797

SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
This is running. But work very strange - on download page appeared "dead" unfinished downloads. On "Delete finished" press some finished not deleted...

I think you must fill bug on it to upstream. I will not do it as stop - problem for review, but if you don't do it now, I'll submit bug to gnaughty.

SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

No.
In configure you forgot --disable-schemas-install.
In %pre and %post "killall -HUP gconfd-2 || :"

In %post: "%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :"

Please see: https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets#GConf

SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
N/A

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
N/A


So, package is very well. Please, fix scriptlets and it will be approved.
Comment 27 Simon 2009-08-07 04:18:46 EDT
(In reply to comment #26)

> SHOULD Items:
> Items marked as SHOULD are things that the package (or reviewer) SHOULD do,
> but is not required to do.


> SHOULD: The reviewer should test that the package functions as described. A
> package should not segfault instead of running, for example.
>
> This is running. But work very strange - on download page appeared "dead"
> unfinished downloads. On "Delete finished" press some finished not deleted...
> I think you must fill bug on it to upstream. I will not do it as 
> stop - problem for review, but if you don't do it now, 
> I'll submit bug to gnaughty.
I already sent an email to upstream (no trac or bz). I found more bugs, and even #504247 is mailed to upstream.

> SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague,
> and left up to the reviewers judgement to determine sanity.
> 
> No.
> In configure you forgot --disable-schemas-install.
> In %pre and %post "killall -HUP gconfd-2 || :"
> 
> In %post: "%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :"
> 
> Please see:
> https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets#GConf
> 
1.) Scriplet _is_ sane
2.) It's a SHOULD-item
3.) It's a draft 
4.) "%configure --disable-schema-install" and "export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 make install" are equal
5.) and 4.) should be conform to current guidelines

> So, package is very well. Please, fix scriptlets and it will be approved.  
as this is 
1.) a should item
2.) working
i can't understand your block!
Comment 28 Christoph Wickert 2009-08-07 05:01:01 EDT
(In reply to comment #26)

> In configure you forgot --disable-schemas-install.

Simon already has 
make install DESTDIR=%{buildroot} INSTALL="install -p"
This is an ether - or thing: You only need one, but not both.

> In %pre and %post "killall -HUP gconfd-2 || :"

This should no longer be used as it not necessary in any of the supported Fedora releases but only in RHEL 4. I doubt that Simon wants to package this for RHEL 4.

> In %post: "%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :"
> 
> Please see:
> https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets#GConf

The official scriptlets as ratified by the packaging committee is at
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf
and Simon's uses exactly the same scriptlets as from the wiki.
Comment 29 Simon 2009-08-07 14:56:26 EDT
added Robert Scheck to CC

Robert please request cvs for F-11, create the builds and the update for this package to F-11 after Pavel approved this. I'm on vacation for the next 3 weeks and maybe more!

Thank you very much!
Comment 30 Pavel Alexeev 2009-08-08 10:34:04 EDT
Ok, I'm recheck scriptlets, Simon Wesp, Christoph Wickert you are right.

Package APPROVED.
Comment 31 Robert Scheck 2009-08-09 08:48:01 EDT
I'm acting here now as provenpackager on behalf of Simon Wesp (comment #29).


New Package CVS Request
=======================
Package Name: gnaughty
Short Description: Downloader for adult content
Owners: cassmodiah
Branches: F-11
InitialCC:
Comment 32 Kevin Fenzi 2009-08-10 01:36:33 EDT
cvs done.
Comment 33 Robert Scheck 2009-08-15 06:38:56 EDT
Package: gnaughty-1.2.0-2.fc12 Tag: dist-f12 Status: complete
Package: gnaughty-1.2.0-2.fc11 Tag: dist-f11-updates-candidate Status: complete
Comment 34 Fedora Update System 2009-08-15 06:41:19 EDT
gnaughty-1.2.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnaughty-1.2.0-2.fc11
Comment 35 Fedora Update System 2009-08-15 17:42:44 EDT
gnaughty-1.2.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Simon 2010-06-23 08:11:10 EDT
Package Change Request
======================
Package Name: gnaughty
New Branches: EL-6
Owners: cassmodiah
Comment 37 Jason Tibbitts 2010-06-26 13:46:05 EDT
CVS done.
Comment 38 Don Hoover 2010-09-02 10:10:06 EDT
It is inappropriate for this package to be included in the EPEL.  The "E" is for enterprise.

Keeping the package in the open community Fedora is fine, it has no legitimte place in the EPEL repos.

Note You need to log in before you can comment on or make changes to this bug.